<?php

global $news;
if ($news['getweather'] == 1) {

$weather = new weather($news['wcode'], 3600, $news['wtype']);
$weather->parsecached();

print "<span class=\"weather-img\"><img src=\"".get_bloginfo("template_directory")."/images/weather-icons/$weather->actcode.png\" alt=\"\" width=\"52\" height=\"52\" /></span>";
if ($weather->region == "") {
print "<span class=\"weather-city\">$weather->city, $weather->country - $weather->acttemp °$weather->temperature</span>";
} else {
print "<span class=\"weather-city\">$weather->city, $weather->region - $weather->acttemp °$weather->temperature</span>";
}
print "<span class=\"weather-cond\">$weather->acttext - Humidity: $weather->humidity%</span>";

}

?>